%global _jdkdir %(readlink -f $(command -v javac) | %{__sed} -e "s|\/bin\/javac$||g")

Summary: Tomcat native library
Name: tomcat-native
Version: 1.2.39
Release: 1%{?dist}
License: Apache-2.0
Group: System Environment/Libraries
URL: https://tomcat.apache.org/native-1.2-doc/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://downloads.apache.org/tomcat/tomcat-connectors/native/%{version}/source/%{name}-%{version}-src.tar.gz
BuildRequires: openssl-devel >= 1.0.2, apr-devel >= 1.4.8, sed
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The Apache Tomcat Native Library is an optional component for use with
Apache Tomcat that allows Tomcat to use certain native resources for
performance, compatibility, etc.
Specifically, the Apache Tomcat Native Library gives Tomcat access to
the Apache Portable Runtime (APR) library's network connection (socket)
implementation and random-number generator.

%prep
%setup -q -n %{name}-%{version}-src

%build
cd native
%configure \
  --with-apr=%{_bindir}/apr-1-config \
  --with-java-home=%{_jdkdir} \
  --with-ssl=yes \
%{nil}
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} -C native install DESTDIR=%{buildroot} INSTALL="install -p"

# remove files we don't need
%{__rm} -rf %{buildroot}%{_libdir}/pkgconfig
find %{buildroot}%{_libdir} -type f -name '*.la' -exec %{__rm} -f {} \;
find %{buildroot}%{_libdir} -type f -name '*.a' -exec %{__rm} -f {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE NOTICE README.txt TODO.txt
%{_libdir}/libtcnative*.so*

%changelog
* Tue Oct 03 2023 Simon Matter <simon.matter@invoca.ch> 1.2.39-1
- upgrade to 1.2.39

* Mon Aug 14 2023 Simon Matter <simon.matter@invoca.ch> 1.2.38-1
- upgrade to 1.2.38

* Sat Jun 03 2023 Simon Matter <simon.matter@invoca.ch> 1.2.37-1
- upgrade to 1.2.37

* Tue Feb 14 2023 Simon Matter <simon.matter@invoca.ch> 1.2.36-1
- upgrade to 1.2.36

* Thu Jul 14 2022 Simon Matter <simon.matter@invoca.ch> 1.2.35-1
- upgrade to 1.2.35

* Wed Jun 15 2022 Simon Matter <simon.matter@invoca.ch> 1.2.34-1
- upgrade to 1.2.34

* Mon May 09 2022 Simon Matter <simon.matter@invoca.ch> 1.2.33-1
- upgrade to 1.2.33

* Tue Mar 22 2022 Simon Matter <simon.matter@invoca.ch> 1.2.32-1
- upgrade to 1.2.32

* Fri Jan 14 2022 Simon Matter <simon.matter@invoca.ch> 1.2.31-2
- use command -v instead of which

* Fri Sep 03 2021 Simon Matter <simon.matter@invoca.ch> 1.2.31-1
- upgrade to 1.2.31

* Tue Jun 08 2021 Simon Matter <simon.matter@invoca.ch> 1.2.30-1
- upgrade to 1.2.30

* Wed Apr 07 2021 Simon Matter <simon.matter@invoca.ch> 1.2.28-1
- upgrade to 1.2.28

* Sat Apr 03 2021 Simon Matter <simon.matter@invoca.ch> 1.2.27-1
- upgrade to 1.2.27

* Mon Dec 21 2020 Simon Matter <simon.matter@invoca.ch> 1.2.26-1
- upgrade to 1.2.26

* Thu Sep 10 2020 Simon Matter <simon.matter@invoca.ch> 1.2.25-1
- upgrade to 1.2.25

* Thu May 07 2020 Simon Matter <simon.matter@invoca.ch> 1.2.24-1
- upgrade to 1.2.24

* Tue Mar 15 2016 Simon Matter <simon.matter@invoca.ch> 1.1.34-1
- upgrade to 1.1.34

* Sat Mar 28 2015 Simon Matter <simon.matter@invoca.ch> 1.1.33-1
- upgrade to 1.1.33

* Tue Dec 16 2014 Simon Matter <simon.matter@invoca.ch> 1.1.32-2
- remove buildrequires for jdk, it's not portable anymore

* Wed Oct 29 2014 Simon Matter <simon.matter@invoca.ch> 1.1.32-1
- upgrade to 1.1.32

* Fri Jul 11 2014 Simon Matter <simon.matter@invoca.ch> 1.1.31-1
- upgrade to 1.1.31

* Thu Apr 17 2014 Simon Matter <simon.matter@invoca.ch> 1.1.30-1
- upgrade to 1.1.30

* Tue Dec 31 2013 Simon Matter <simon.matter@invoca.ch> 1.1.29-1
- initial package
